Last Comment Bug 4165 - nsComposeAppCore should not use ToNewCString for unicode conversion
: nsComposeAppCore should not use ToNewCString for unicode conversion
Status: VERIFIED FIXED
:
Product: MailNews Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: x86 Windows NT
: P1 normal (vote)
: M5
Assigned To: nhottanscp
: Katsuhiko Momoi
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-03-22 16:17 PST by nhottanscp
Modified: 2008-07-31 01:22 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description nhottanscp 1999-03-22 16:17:05 PST
ToNewCString only works for Latin1.
Compose need to convert unicode to a mail charset (can be taken from a pref and
the charset menu).
I will mail a sample code to Jean-Francois.
Comment 1 bobj 1999-03-23 18:01:59 PST
Actually, ToNewCString only works for ASCII (not Latin1) since it probably
is just casting off the high byte of the UCS character.
Comment 2 nhottanscp 1999-03-29 17:48:59 PST
I checked in the code to do the conversion.
We still have two problems before we can do the verification.
#4388 - Enable 8-bit input for 8859-1
#4394 - libmime to export QP/Base64 encoders
Comment 3 bobj 1999-04-01 18:35:59 PST
Changed to P1 -- needed for M4.
Comment 4 nhottanscp 1999-04-02 16:09:59 PST
#4394 has been resolved. I verified it (for QP only) by putting 8 bit characters
hard coded.
#4388- By using 4/2 build, I cannot input 8 bit chars but paste from other app
is working. As my build is crashing in Ender when I try to send, I cannot try
pasted 8 bit string with the new QP code. I will try again on Monday.
Comment 5 nhottanscp 1999-04-05 11:23:59 PDT
It doesn't work on 4/5 build.
I pulled the today's build. In the message composer, a returned text from Ender
does not contain 8 bit characters. They are visible in the view but they are
seemed to be stripped out.
Comment 6 Frank Tang 1999-04-05 11:54:59 PDT
nhotta: Please clearify which file use ToNewCString, and in what action will
cause such code get code.
Comment 7 nhottanscp 1999-04-05 13:48:59 PDT
It was in nsComposeAppCore.cpp, the fix was checked in.
The bug is still open because there is a blocking bug (#4388) prevents the
verification.
Comment 8 nhottanscp 1999-04-06 14:52:59 PDT
Changing to M5 since #4388 is M5.
Comment 9 nhottanscp 1999-04-19 16:30:59 PDT
Change status to 'FIXED' verification is blocked by #4388.
To verify this, try non us-ascii characters in the body then check the message
in 4.5.
Comment 10 Katsuhiko Momoi 1999-04-27 18:43:59 PDT
This fix can be verified now for Latin 1 as the 2 blocking bugs have
been resolved. For Japanese, it's still not possible to see the results
of send.
I can go ahead and verify this based on Latin 1 send which is
now working for the header and body, or can wait until the
Japanese send becomes possible.
Comment 11 nhottanscp 1999-04-28 09:44:59 PDT
You can verify this by sending Latin1 body.
Comment 12 Katsuhiko Momoi 1999-04-29 19:26:59 PDT
** Checked with 4/29/99 Win32 build **

It is possible to send Latin 1 mail body containing 8-bit
characters in it. They are properly QP-encoded in Latin 1.
This confirms that the fix is working OK.

Marking the fix verified.

Note You need to log in before you can comment on or make changes to this bug.